#!/bin/sh

# Install bootloader entry for kernel if not already present, and
# rebuild the initrd if /etc/modprobe.conf indicates that the
# advansys module is a scsi_hostadapter needed for booting.

if [ ! -x /sbin/new-kernel-pkg ]; then
	echo ""
	echo "Skipping bootloader setup and initrd build due to missing mkinitrd package" 1>&2
	echo ""
	exit 0
fi

echo ""
if egrep '^[ 	]*alias[ 	]+scsi_hostadapter[0-9]*[ 	]+advansys[ 	]*$' /etc/modprobe.conf > /dev/null 2>&1; then
	echo "Rebuilding initrd for kernel $1 to incorporate advansys module"
	/sbin/new-kernel-pkg --mkinitrd --depmod --install "$1"
else
	echo "Skipping initrd build as it's probably not needed on this system"
	echo "('alias scsi_hostadapter advansys' line not present in /etc/modprobe.conf)"
	# Add bootloader entry anyway - should be harmless
	/sbin/new-kernel-pkg --install "$1"
fi
echo ""

